Interface EtcdKeysEndpointBuilderFactory.EtcdKeysBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- EtcdKeysEndpointBuilderFactory
public static interface EtcdKeysEndpointBuilderFactory.EtcdKeysBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilderetcdKeys(String path)Etcd Keys (camel-etcd) Get, set or delete keys in etcd key-value store.default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilderetcdKeys(String componentName, String path)Etcd Keys (camel-etcd) Get, set or delete keys in etcd key-value store.
-
-
-
Method Detail
-
etcdKeys
default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilder etcdKeys(String path)
Etcd Keys (camel-etcd) Get, set or delete keys in etcd key-value store. Category: clustering,database Since: 2.18 Maven coordinates: org.apache.camel:camel-etcd Syntax:etcd-keys:pathPath parameter: path The path the endpoint refers to- Parameters:
path- path- Returns:
- the dsl builder
-
etcdKeys
default EtcdKeysEndpointBuilderFactory.EtcdKeysEndpointBuilder etcdKeys(String componentName, String path)
Etcd Keys (camel-etcd) Get, set or delete keys in etcd key-value store. Category: clustering,database Since: 2.18 Maven coordinates: org.apache.camel:camel-etcd Syntax:etcd-keys:pathPath parameter: path The path the endpoint refers to- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- path- Returns:
- the dsl builder
-
-